SplObjectStorage::offsetSet
SplObjectStorage::removeAll
SplObjectStorage
PHP Manual

# SplObjectStorage::offsetUnset

Removes an object from the storage

### Description

public void SplObjectStorage::offsetUnset ( object `$object` )

Removes an object from the storage.

> Note:

> SplObjectStorage::offsetUnset is an alias of SplObjectStorage::detach.

### Parameters

`object`

  The object to remove.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::offsetUnset example

`<?php
$o = new StdClass;
$s = new SplObjectStorage();
$s->attach($o);
var_dump(count($s));
$s->offsetUnset($o); // Similar to unset($s[$o])
var_dump(count($s));
?>`

The above example will output something similar to:

    int(1)
    int(0)

### See Also

- SplObjectStorage::offsetGet
- SplObjectStorage::offsetSet
- SplObjectStorage::offsetExists